/* ************ COPYRIGHT 2011, H. G. Katzgraber. ********************* */
/*                                                                      */
/* EX 6:        One-dimensional Ising Model with Monte Carlo            */
/*              change parameters in header file ising.h                */
/*                                                                      */
/*              NOTE: this program ignores autocorrelation effects!!!   */
/* INSTR:       Compile with Makefile via 'make', execute with ./runme  */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "r1279.h"
#include "nrutil.h"

#define N       1000	/* number of spins         			*/
#define	SAMPLES	10 	/* number of samples to average over for stats	*/
#define	SWEEPS	3000	/* number of MC sweeps for measurement		*/
#define	TRANS	3000	/* number of thermalization sweeps 		*/
#define	M	25	/* number of temperatures	   		*/
#define	DT	0.2	/* separation of tempsteps and lowest temp 	*/

#define calc_err(a, b, c) sqrt(fabs(( a - ( b * b ))/( c - 1))); 

long seedgen(void);

